Package com.jangular.backend.security.jwt

# Class JwtAccessDeniedHandler

java.lang.Object
com.jangular.backend.security.jwt.JwtAccessDeniedHandler

All Implemented Interfaces:
  `org.springframework.security.web.access.AccessDeniedHandler`

@Component public class JwtAccessDeniedHandler extends Object implements org.springframework.security.web.access.AccessDeniedHandler

## Constructor Summary

Constructors
Constructor
Description
`JwtAccessDeniedHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.access.AccessDeniedException accessDeniedException)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JwtAccessDeniedHandler

public JwtAccessDeniedHandler()

## Method Details

### handle

public void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.access.AccessDeniedException accessDeniedException) throws IOException

Specified by:
  `handle` in interface `org.springframework.security.web.access.AccessDeniedHandler`
Throws:
  `IOException`